program LF0;
{$APPTYPE CONSOLE}
uses SysUtils;
{$I LFToCRLF.pas}

begin
  try
  Assert(LFToCRLF(#10) = #13#10);
  Assert(LFToCRLF(#10#13) = #13#10#13);
  Assert(LFToCRLF(#13#10) = #13#10);
  Assert(LFToCRLF('a'#10) = 'a'#13#10);
  Assert(LFToCRLF('a'#13) = 'a'#13);
  Assert(LFToCRLF('a'#13#10) = 'a'#13#10);
  Assert(LFToCRLF('a'#10'b') = 'a'#13#10'b');
  Assert(LFToCRLF('a'#13'b') = 'a'#13'b');
  Assert(LFToCRLF('a'#13#10'b') = 'a'#13#10'b');
  Assert(LFToCRLF(#10'b') = #13#10'b');
  Assert(LFToCRLF(#13'b') = #13'b');
  Assert(LFToCRLF(#13#10'b') = #13#10'b');
  except
    on E: EAssertionFailed do writeln(E.message);
  end;
end.
